Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.dom
Class DocumentFragmentImpl

    java.lang.Object
      com.novell.xml.dom.NodeImpl
          com.novell.xml.dom.DocumentFragmentImpl

All Implemented Interfaces:
  Cloneable, Comparable, DocumentFragment, Node

    public class DocumentFragmentImpl

extends NodeImpl
implements DocumentFragment

Field Summary

Fields inherited from class com.novell.xml.dom.NodeImpl
`allowedChildren, baseURI, changeCount, document, documentOrderVal, expandedName, firstChild, lastChild, localName, namespaceURI, nextOrderVal, nextSibling, nodeName, nodeValue, parentNode, prefix, previousSibling, toStringSerializes, xmlnsPrefix, xmlPrefix, xpathBehavior`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DocumentFragmentImpl(DocumentImpl owner)`

Method Summary
`String` | `getNodeName()` The name of this node, depending on its type; see the table above.
`short` | `getNodeType()` A code representing the type of the underlying object, as defined above.
`boolean` | `isOrderCurrent()` Return `true` if document order information in the document tree is current.
`void` | `setOrderCurrent(boolean orderIsCurrent)` Set the order state.
`void` | `updateDocumentOrder()` Setup the document order information if it has not been set, or has been invalidated by changes to the tree.

Methods inherited from class com.novell.xml.dom.NodeImpl
`appendChild, checkName, checkNameNS, cloneNode, compareTo, fetchNamespacesFromDecls, gateModify, getAttributes, getBaseURI, getChangeCount, getChildNodes, getColumnNumber, getDocumentOrder, getExpandedName, getFirstChild, getLastChild, getLineNumber, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, incChangeCount, insertBefore, isChildAllowed, isReadOnly, isSupported, normalize, purgeCachedExpandedNames, removeChild, replaceChild, setBaseURI, setColumnNumber, setDeepReadOnly, setDocumentOrder, setLineNumber, setNodeValue, setOwnerDocument, setPrefix, setReadOnly, setXPathBehavior, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### DocumentFragmentImpl

    protected DocumentFragmentImpl(DocumentImpl owner)

Method Detail

### getNodeName

    public String getNodeName()

  The name of this node, depending on its type; see the table above.

  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `NodeImpl`

### getNodeType

    public short getNodeType()

  A code representing the type of the underlying object, as defined above.

  Specified by:
    `getNodeType` in interface `Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### isOrderCurrent

    public boolean isOrderCurrent()

  Return `true` if document order information in the document tree is current. If it is not current, it can be updated with a call to `updateDocumentOrder()`

  Returns:
    `true` if document order information is current in the document tree.

### setOrderCurrent

    public void setOrderCurrent(boolean orderIsCurrent)

  Set the order state. This is useful is the document order information is set using a method other than `updateDocumentOrder()` (at tree creation time, for example using `NodeImpl.setDocumentOrder()`)

  Parameters:
    `orderIsCurrent` - `true` if document order information is current, `false` otherwise

### updateDocumentOrder

    public void updateDocumentOrder()

  Setup the document order information if it has not been set, or has been invalidated by changes to the tree. This does a complete preorder traversal of the tree, so it should be used conservatively.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD